Retrieve a QR-Code Pay-In

The GET /v3/funding_details/pix/dynamic-qr-code/{fid} method enables you to retrieve comprehensive information about a pay-in. Every one of the payments you can retrieve was notified to your callback URL by the webhook if configured.

This endpoint can only retrieve transactions made via a dynamic QR code. The search results do not include payments made directly to your Bitso account.

To get the details of a specific QR-code pay-in, make the following HTTP request using the specified path parameter:

GET https://api-stage.bitso.com/v3/funding_details/pix/dynamic-qr-code/{fid}

Path Parameter

  • fid: Bitso-supplied identifier of the pay-in you want to list. The create QR-code call generates this ID. The payload object posted by the webhook reports it using the same key name.

The following response body exemplifies the JSON object returned representing the payment:

{
   "event":"dynamic_qr_code",
   "payload":{
      "fid":"e7f2de8e51a04eb18d1c174dd3bd8ab7",
      "payer":{
         "name":"MARIA SEBASTIANA DA SILVEIRA",
         "tax_id":".365.168-"
      },
      "status":"EXPIRED",
      "amount":"120",
      "currency":"BRL",
      "expires_at":"2024-10-16T18:54:13.957488Z",
      "created_at":"2024-10-16T18:51:43.957488Z",
      "payed_at":"",
      "qr_code_payload":"00020101021226890014br.gov.bcb.pix2567brcode-h.sandbox.starkinfra.com/v2/1da16bb0f5d44016b47b10e0912480335204000053039865802BR5925MARIA SEBASTIANA DA SILVE6009Sao Paulo62070503**6304832B"
   }
}

Response Body Parameters

The payload object includes the following properties:

Parameter NameDescriptionType
amountThe amount received in your Bitso account in BRLString
created_atThe date and time when the service created the QR code in ISO 8601 format.String
(timestamp)
currencyThe three-letter code in ISO 4217 format of the currency used in the transaction.String
expires_atThe date and time when the QR code expired in ISO 8601 format.String
(timestamp)
fidThe payment's unique, system-generated identifier. It’s the same ID generated during the QR code creation.String
payed_atThe date and time when the payment settled in ISO 8601 format. This parameter is set only when status=PAID.String
(timestamp)
payerContains the name and tax ID of the consumer sending the payment.String
qr_code_payloadThe string representation of the QR code.String
statusThe transaction’s state. Possible values: CREATED, PAID, and EXPIRED.String

A QR-code payment can be in one of three possible states, which indicate the following:

  • CREATED: The consumer requested that a QR code be created, and it is still valid. The payment can arrive within 30 minutes of its creation.
  • PAID: The payment is settled, and the funds are in your Bitso account.
  • EXPIRED: The QR code expired without the consumer sending the funds. The code's lifetime is 30 minutes from creation time.

Did this page help you?